Bug 37214 - poor scrolling performance with multiple backgrounds
Summary: poor scrolling performance with multiple backgrounds
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL: http://css3exp.com/moon/
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-04-07 08:59 PDT by Paul Irish
Modified: 2013-09-10 14:54 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Irish 2010-04-07 08:59:55 PDT
http://css3exp.com/moon/ has 4 background images set on the body element.

Scrolling the page (via mousewheel) reveals very poor performance.
When the backgrounds are disabled, scrolling performance returns to normal.

Tested in Chrome, Safari and nightly webkit on XP and OS X 10.5
Comment 1 Sam Weinig 2010-04-08 19:39:06 PDT
<rdar://problem/7844080>
Comment 2 Simon Fraser (smfr) 2013-09-10 14:54:28 PDT
Tiled scrolling with fixed backgrounds made this fast.